## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 15;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:       utox
Version:    0.18.1
Release:    %autorelease
Summary:    The lightweight Tox client

# Automatically converted from old format: MIT or GPLv3+ - review is highly recommended.
License:    LicenseRef-Callaway-MIT OR GPL-3.0-or-later
URL:        https://github.com/uTox/uTox/
Source0:    %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
Source1:    %{name}.appdata.xml
# git clone https://github.com/uTox/uTox
# cd uTox
# git checkout v0.18.1
# git submodule init ; git submodule update
# tar -zcvf third_party.tar.gz third_party/
Source2:    third_party.tar.gz

# https://github.com/uTox/uTox/issues/1541
# ExcludeArch:    s390x

BuildRequires:  gcc-c++
BuildRequires:  cmake
BuildRequires:  desktop-file-utils
BuildRequires:  libappstream-glib
BuildRequires:  pkgconfig(check)
BuildRequires:  pkgconfig(dbus-1)
BuildRequires:  pkgconfig(filteraudio)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(gtk+-2.0)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(vpx)
BuildRequires:  pkgconfig(openal)
BuildRequires:  pkgconfig(libv4l2)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xrender)
BuildRequires:  pkgconfig(libsodium)
BuildRequires:  pkgconfig(toxcore)
Requires:       hicolor-icon-theme

%description
%summary

%prep
%autosetup -p 1 -n uTox-%{version}
%autosetup -N -T -D -a 2 -n uTox-%{version}

%build
# We use CMAKE_BUILD_TYPE="Release" to turn ASAN off
%cmake -DCMAKE_BUILD_TYPE="Release"
%cmake_build

%install
%cmake_install
install -Dp -m 644 %{SOURCE1} %{buildroot}/%{_datadir}/metainfo/%{name}.appdata.xml
rm -rf %{buildroot}/%{_datadir}/icons/hicolor/14x14

%check
# Test "chrono" fails on armv7l
%ifnarch %{arm}
%ctest
%endif
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}.desktop
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/%{name}.appdata.xml

%files
%license LICENSE
%doc README.md CHANGELOG.md
%{_bindir}/%{name}
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}*
%{_mandir}/man1/%{name}.1*

%changelog
## START: Generated by rpmautospec
* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Wed Sep 04 2024 Miroslav Suchý <msuchy@redhat.com> - 0.18.1-14
- convert license to SPDX

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.1-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Feb 08 2024 Pete Walter <pwalter@fedoraproject.org> - 0.18.1-12
- Rebuild for libvpx 1.14.x

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.1-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Wed Feb 15 2023 Tom Callaway <spot@fedoraproject.org> - 0.18.1-9
- rebuild for libvpx

* Thu Jan 27 2022 Tom Callaway <spot@fedoraproject.org> - 0.18.1-6
- rebuild for libvpx

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 24 17:47:48 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 0.18.1-1
- Update to 0.18.1
- Close: rhbz#1919592

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sat Dec 05 21:10:24 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.18.0-1
- Update to 0.18.0
- Close: rhbz#1902363

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.2-3
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 19 12:40:14 CEST 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.17.2-1
- Update to 0.17.2 (#1823346)

* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Jan 23 01:58:44 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.17.1-2
- Fix compatibility with GCC 10

* Wed Sep 25 16:55:23 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.17.1-1
- Release 0.17.1

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Feb 05 2019 Björn Esser <besser82@fedoraproject.org> - 0.17.0-5
- rebuilt (libvpx)

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.17.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jun 26 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.17.0-2
- Rebuilt for toxcore soname bump

* Thu Apr 19 2018 Robert-André Mauchin <zebob.m@gmail.com> - 0.17.0-1
- Upstream release 0.17.0

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 28 2018 Robert-André Mauchin <zebob.m@gmail.com> 0.16.1-5
- actually rebuild for new libvpx

* Fri Jan 26 2018 Tom Callaway <spot@fedoraproject.org> - 0.16.1-4
- rebuild for new libvpx

* Thu Jan 18 2018 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.16.1-3
- Remove obsolete scriptlets

* Tue Oct 31 2017 Robert-André Mauchin <zebob.m@gmail.com> 0.16.1-2
- Clean-up the SPEC

* Thu Oct 12 2017 Robert-André Mauchin <zebob.m@gmail.com> 0.16.1-1
- New upstream release 0.16.1

* Fri Aug 18 2017 Robert-André Mauchin <zebob.m@gmail.com> 0.15.0-2
- Added appdata.xml
- Fixed Requires dependencies

* Sat Jul 29 2017 Robert-André Mauchin <zebob.m@gmail.com> 0.15.0-1
- First RPM release

## END: Generated by rpmautospec
